# deadmans_hand

Simple program for ESP-32 to power up my server in case of power cut.

## Usage
**/!\ WARNING /!\ The author (leca) is not responsible for any damage you've caused to your hardware with your own hand /!\ WARNING /!\\**
1. Set up the sketch
```bash
git clone https://git.foxarmy.org/leca/deadmans_hand
cd deadmans_hand
cp src/secrets.h.template src/secrets.h
# Open the file with your favorite editor and insert Wi-Fi SSID and password.
nano src/secrets.h
```
If you wish to change GPIO pins, please, do it in ``src/src.info``

Flash the sketch in your board

2. Connect pin STATUS_PIN to anything in your server that has voltage when the server is running (usually some led on the forward panel)
3. Connect pin WAKE_PIN to power pin on your motherboard
4. Connect GND to motherboard's ground. 
5. Make sure that the board has some power supply (usually you want to use 18650 Li-ion batteries) to be online when the power is down.
